Skip to main content
`Ctrl`+`K`

# MatCUSPARSEStorageFormat

indicates the storage format for `MATAIJCUSPARSE` (GPU) matrices.

## Synopsis

    typedef enum {
      MAT_CUSPARSE_CSR,
      MAT_CUSPARSE_ELL,
      MAT_CUSPARSE_HYB
    } MatCUSPARSEStorageFormat;

## Values

- `MAT_CUSPARSE_CSR` - Compressed Sparse Row

- `MAT_CUSPARSE_ELL` - Ellpack (requires CUDA 4.2 or later).

- `MAT_CUSPARSE_HYB` - Hybrid, a combination of Ellpack and Coordinate format (requires CUDA 4.2 or later).

## See Also

Matrices, `MATAIJCUSPARSE`, `MatCUSPARSESetFormat()`, `MatCUSPARSEFormatOperation`

## Level

intermediate

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages